Imports System.Web.UI
Imports System.Web.UI.WebControls
Imports System.Text

Namespace ControlPotPourri
    Partial Public Class UseTreeView
        Inherits System.Web.UI.Page
        Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs)

        End Sub

        Protected Sub TreeView1_SelectedNodeChanged(ByVal sender As Object, ByVal e As EventArgs)
            Me.LabelSelectedNode.Text = String.Format("Selected Node changed to: {0}", Me.TreeView1.SelectedNode.Text)
            Dim childNodes As TreeNodeCollection = Me.TreeView1.SelectedNode.ChildNodes
            If childNodes IsNot Nothing Then
                Me.TextBoxInfo.Text = String.Empty
                Dim sb As New StringBuilder()
                For Each childNode As TreeNode In childNodes
                    sb.AppendFormat("{0}" & vbLf, childNode.Value)
                Next childNode
                Me.TextBoxInfo.Text = sb.ToString()
            End If
        End Sub

        Protected Sub TreeView1_TreeNodeExpanded(ByVal sender As Object, ByVal e As TreeNodeEventArgs)
            If Me.TreeView1.SelectedNode IsNot Nothing Then
                Me.Response.Write("Expanded Node: " & Me.TreeView1.SelectedNode.Text)
            End If
        End Sub
    End Class
End Namespace
