Imports System.Text
Imports System.Web.UI
Imports System.Web.UI.WebControls
Imports System.Web.UI.WebControls.WebParts

Namespace WebPartLib
    Public Class HyperlinkWebPart
        Inherits WebPart

        Private _strURL As String = "http://www.microsoft.com"
        Private _strDisplayName As String = "This is a link"

        Private _hyperLink As HyperLink

        <Personalizable(), WebBrowsable, WebDisplayName("Display Name")> _
        Public Property DisplayName() As String
            Get
                Return Me._strDisplayName
            End Get
            Set(ByVal value As String)
                Me._strDisplayName = value
                If _hyperLink IsNot Nothing Then
                    _hyperLink.Text = Me.DisplayName
                End If
            End Set
        End Property
        <Personalizable(), WebBrowsable, WebDisplayName("URL")> _
        Public Property URL() As String
            Get
                Return Me._strURL
            End Get

            Set(ByVal value As String)
                Me._strURL = value
                If _hyperLink IsNot Nothing Then
                    _hyperLink.NavigateUrl = Me.URL
                End If

            End Set
        End Property


        Protected Overrides Sub CreateChildControls()
            _hyperLink = New HyperLink()
            _hyperLink.NavigateUrl = Me._strURL

            _hyperLink.Text = Me._strDisplayName
            Me.Controls.Add(_hyperLink)
            MyBase.CreateChildControls()
        End Sub

    End Class
End Namespace
