Imports System.Web.UI
Imports System.Web.UI.WebControls
Imports System.Data.Common

Namespace SessionState
    Partial Public Class UseDataList
        Inherits System.Web.UI.Page
        Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs)
            If Not IsPostBack Then
                Dim dt As DataTable = BindToinventory()
                Dim tableSelectedItems As DataTable = Me.CreateSelectedItemsTable(dt)
                Session("tableSelectedItems") = tableSelectedItems
            End If
        End Sub


        Protected Function GetInventory() As DataTable
            Dim strConnection As String = "Data Source=" & ControlChars.CrLf & "                .\SQLEXPRESS;" & ControlChars.CrLf & "                AttachDbFilename=|DataDirectory|\ASPNETStepByStep4.mdf;" & ControlChars.CrLf & "                Integrated Security=True;User Instance=True"

            Dim f As DbProviderFactory = DbProviderFactories.GetFactory("System.Data.SqlClient")

            Dim dt As New DataTable()
            Using connection As DbConnection = f.CreateConnection()
                connection.ConnectionString = strConnection

                connection.Open()

                Dim command As DbCommand = f.CreateCommand()
                command.CommandText = "Select * from DotNetReferences"
                command.Connection = connection

                Dim reader As IDataReader = command.ExecuteReader()

                dt.Load(reader)
                reader.Close()
                connection.Close()
            End Using

            Return dt
        End Function

        Protected Function BindToinventory() As DataTable
            Dim dt As DataTable
            dt = Me.GetInventory()
            Me.DataList1.DataSource = dt

            Me.DataBind()
            Return dt
        End Function

        Protected Function CreateSelectedItemsTable(ByVal tableSchema As DataTable) As DataTable

            Dim tableSelectedItemsData As New DataTable()

            For Each dc As DataColumn In tableSchema.Columns
                tableSelectedItemsData.Columns.Add(dc.ColumnName, dc.DataType)
            Next dc
            Return tableSelectedItemsData

        End Function



        Protected Sub DataList1_ItemCommand(ByVal source As Object, ByVal e As DataListCommandEventArgs)
            Dim nItemIndex As Integer = e.Item.ItemIndex
            Me.DataList1.SelectedIndex = nItemIndex

            BindToinventory()

            ' Order of the columns is:
            ' ID, Title, FirstName, LastName, Topic, Publisher

            Dim dt As DataTable = CType(DataList1.DataSource, DataTable)
            Dim strID As String = (dt.Rows(nItemIndex)(0)).ToString()
            Dim strTitle As String = (dt.Rows(nItemIndex)(1)).ToString()
            Dim strAuthorLastName As String = (dt.Rows(nItemIndex)(2)).ToString()
            Dim strAuthorFirstName As String = (dt.Rows(nItemIndex)(3)).ToString()
            Dim strTopic As String = (dt.Rows(nItemIndex)(4)).ToString()
            Dim strPublisher As String = (dt.Rows(nItemIndex)(5)).ToString()

            Dim tableSelectedItems As DataTable
            tableSelectedItems = CType(Session("tableSelectedItems"), DataTable)

            Dim dr As DataRow = tableSelectedItems.NewRow()
            dr(0) = strID
            dr(1) = strTitle
            dr(2) = strAuthorLastName
            dr(3) = strAuthorFirstName
            dr(4) = strTopic
            dr(5) = strPublisher

            tableSelectedItems.Rows.Add(dr)

            Session("tableSelectedItems") = tableSelectedItems

            Me.GridView1.DataSource = tableSelectedItems
            Me.GridView1.DataBind()
        End Sub

    End Class
End Namespace
