Imports System.Web.UI
Imports System.Web.UI.WebControls
Imports System.Text

Namespace SessionState
    Partial Public Class UseWizardControl
        Inherits System.Web.UI.Page
        Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs)
            Dim sb As New StringBuilder()
            sb.Append("You are about to submit. " & vbLf)

            sb.Append(" Personal: " & vbLf)
            sb.AppendFormat("  {0}" & vbLf, Me.TextBoxName.Text)
            sb.AppendFormat("  {0}" & vbLf, Me.TextBoxAddress.Text)
            sb.AppendFormat("  {0}" & vbLf, Me.TextBoxCity.Text)
            sb.AppendFormat("  {0}" & vbLf, Me.TextBoxState.Text)
            sb.AppendFormat("  {0}" & vbLf, Me.TextBoxPostalCode.Text)
            sb.Append(vbLf & " Software: " & vbLf)
            For Each listItem As ListItem In CheckBoxListSoftware.Items
                If listItem.Selected Then
                    sb.AppendFormat("  {0}" & vbLf, listItem.Text)
                End If
            Next listItem

        sb.Append(vbLf & " Hardware: " & vbLf)
        For Each listItem As ListItem In CheckBoxListHardware.Items
            If listItem.Selected Then
                sb.AppendFormat("  {0}" & vbLf, listItem.Text)
            End If
        Next listItem
        Me.TextBoxSummary.Text = sb.ToString()
        End Sub

        Protected Sub Wizard1_FinishButtonClick(ByVal sender As Object, ByVal e As WizardNavigationEventArgs)
            ' Do something with the data here
        End Sub

    End Class
End Namespace
