Namespace CustomHandlers
    ''' <summary>
    ''' Summary description for CustomFormHandler
    ''' </summary>
    Public Class CustomFormHandler
        Implements IHttpHandler

        Public Sub ProcessRequest(ByVal context As HttpContext) Implements IHttpHandler.ProcessRequest
            ManageForm(context)
        End Sub

        Public Sub ManageForm(ByVal context As HttpContext)
            context.Response.Write("<html><body><form>")

            context.Response.Write("<h2>Hello there. What's cool about .NET?</h2>")
            context.Response.Write("<select name='Feature'>")
            context.Response.Write("<option> Strong typing</option>")
            context.Response.Write("<option> Managed code</option>")
            context.Response.Write("<option> Language agnosticism</option>")
            context.Response.Write("<option> Better security model</option>")
            context.Response.Write("<option> Threading and async delegates</option>")
            context.Response.Write("<option> XCOPY deployment</option>")
            context.Response.Write("<option> Reasonable HTTP handling framework</option>")
            context.Response.Write("</select>")
            context.Response.Write("</br>")
            context.Response.Write("<input type=submit name='Lookup' value='Lookup'></input>")
            context.Response.Write("</br>")
            If context.Request.Params("Feature") IsNot Nothing Then
                context.Response.Write("Hi, you picked: ")
                context.Response.Write(context.Request.Params("Feature"))
                context.Response.Write(" as your favorite feature.</br>")
            End If

            context.Response.Write("</form></body></html>")
        End Sub


        Public ReadOnly Property IsReusable() As Boolean Implements IHttpHandler.IsReusable
            Get
                Return False
            End Get
        End Property
    End Class
End Namespace
