﻿Public Class DotNetLinksManager
    Private dataContext As New DotNetLinksDataContext()
    Public Function GetAllLinks() As IQueryable(Of DotNetLink)
        Return dataContext.DotNetLinks
    End Function

    Public Function Find(ByVal id As Integer) As DotNetLink
        Dim dotNetLink As DotNetLink = Nothing

        dotNetLink = dataContext.DotNetLinks.SingleOrDefault(Function(l) l.ID = id)

        Return dotNetLink
    End Function

    Public Sub Add(ByVal dotNetLink As DotNetLink)
        dataContext.DotNetLinks.InsertOnSubmit(dotNetLink)
    End Sub

    Public Sub Delete(ByVal dotNetLink As DotNetLink)
        dataContext.DotNetLinks.DeleteOnSubmit(dotNetLink)
    End Sub

    Public Sub Save()
        dataContext.SubmitChanges()
    End Sub
End Class
