Imports System.Web.Services

Namespace AJAXORama
    ''' <summary>
    ''' Summary description for QuoteService
    ''' </summary>
    ''' 
    ' To allow this Web Service to be called from script, using ASP.NET AJAX, uncomment the following line. 
    <System.ComponentModel.ToolboxItem(False), Script.Services.ScriptService> _
    Public Class QuoteService
        Inherits Services.WebService

        <WebMethod> _
        Public Function HelloWorld() As String
            Return "Hello World"
        End Function

        <WebMethod> _
        Public Function GetQuoteOriginatorLastNames(ByVal prefixText As String, ByVal count As Integer) As String()
            Dim list As New List(Of String)()

            Dim quotes As QuotesCollection = QuotesManager.GetQuotesFromCache()

            prefixText = prefixText.ToLower()

            For Each dr As DataRow In quotes.Rows
                Dim strName As String = dr("OriginatorLastName").ToString()

                If strName.ToLower().StartsWith(prefixText) Then
                    If Not list.Contains(strName) Then
                        list.Add(strName)
                    End If
                End If
            Next dr

            Return list.GetRange(0, Math.Min(count, list.Count)).ToArray()
        End Function
    End Class
End Namespace
