Imports System.Net
Imports System.Windows
Imports System.Windows.Controls
Imports System.Windows.Documents
Imports System.Windows.Input
Imports System.Windows.Media
Imports System.Windows.Media.Animation
Imports System.Windows.Shapes
Imports SilverlightAndWCF.ServiceReference1

Namespace SilverlightAndWCF
    Partial Public Class MainPage
        Inherits UserControl
        Private productsService As New ProductsServiceClient()

        Public Sub New()
            InitializeComponent()
            AddHandler productsService.GetProductsCompleted, AddressOf GetProductscompleted

            AddHandler productsService.GetProductCompleted, AddressOf GetProductCompleted

            productsService.GetProductsAsync(Me)

        End Sub
        Private Sub GetProductscompleted(ByVal sender As Object, ByVal ea As GetProductsCompletedEventArgs)
            If ea.Error Is Nothing Then
                Me.theListBox.ItemsSource = ea.Result
            Else
                Debug.WriteLine(ea.Error.InnerException)
                Me.theListBox.Items.Add("Gibson Les Paul Standard")
            End If
        End Sub

        Private Sub GetProductCompleted(ByVal sender As Object, ByVal ea As GetProductCompletedEventArgs)
            Dim pi As ProductInfo = TryCast(ea.Result, ProductInfo)
            If pi IsNot Nothing Then
                Me.LayoutRoot.DataContext = pi
            End If
        End Sub

        Private Sub theListBox_SelectionChanged(ByVal sender As Object, ByVal e As SelectionChangedEventArgs)
            Dim key As String = (TryCast(theListBox.SelectedItem, ProductInfo)).Product

            productsService.GetProductAsync(key, Me)
        End Sub

    End Class
End Namespace
