Imports System.ComponentModel
Imports System.Text
Imports System.Web.UI
Imports System.Web.UI.WebControls

Namespace CustomControlLib
    <DefaultProperty("Text"), ToolboxData("<{0}:ServerControl1 runat=server></{0}:ServerControl1>")>
    Public Class ServerControl1
        Inherits WebControl
        <Bindable(True), Category("Appearance"), DefaultValue(""), Localizable(True)>
        Public Property Text() As String
            Get
                Dim s As String = CType(ViewState("Text"), String)
                Return (If((s Is Nothing), "[" & Me.ID & "]", s))
            End Get

            Set(ByVal value As String)
                ViewState("Text") = value
            End Set
        End Property

        Protected Overrides Sub RenderContents(ByVal output As HtmlTextWriter)
            output.Write(Text)
        End Sub
    End Class
End Namespace
