Imports System.Configuration
Imports System.Web.Security
Imports System.Web.UI
Imports System.Web.UI.HtmlControls
Imports System.Web.UI.WebControls
Imports System.Web.UI.WebControls.WebParts
Imports System.Web.Profile

Namespace MakeItPersonal
    Partial Public Class _Default
        Inherits System.Web.UI.Page
        Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs)
            If Not Me.IsPostBack Then
                Dim profile As ProfileBase = HttpContext.Current.Profile

                Dim theme As String = CStr(profile.GetPropertyValue("Theme"))

                Me.TextBoxName.Text = CStr(profile.GetPropertyValue("Name"))
                Me.TextBoxAddress.Text = CStr(profile.GetPropertyValue("Address.StreetAddress"))
                Me.TextBoxCity.Text = CStr(profile.GetPropertyValue("Address.City"))
                Me.TextBoxState.Text = CStr(profile.GetPropertyValue("Address.State"))
                Me.TextBoxZipCode.Text = CStr(profile.GetPropertyValue("Address.ZipCode"))
                Me.DropDownList1.SelectedValue = CStr(profile.GetPropertyValue("Theme"))
                Me.Calendar1.SelectedDate = CDate(profile.GetPropertyValue("Birthdate"))
            End If
        End Sub

        Protected Sub ButtonSubmitProfile_Click(ByVal sender As Object, ByVal e As EventArgs)
            If Me.User.Identity.IsAuthenticated Then
                Dim profile As ProfileBase = HttpContext.Current.Profile
                profile.SetPropertyValue("Theme", "SeeingRed")

                profile.SetPropertyValue("Name", Me.TextBoxName.Text)
                profile.SetPropertyValue("Address.StreetAddress", Me.TextBoxAddress.Text)
                profile.SetPropertyValue("Address.City", Me.TextBoxCity.Text)
                profile.SetPropertyValue("Address.State", Me.TextBoxState.Text)
                profile.SetPropertyValue("Address.ZipCode", Me.TextBoxZipCode.Text)
                profile.SetPropertyValue("Theme", Me.DropDownList1.SelectedValue)
                profile.SetPropertyValue("Birthdate", Me.Calendar1.SelectedDate)

                profile.Save()
            End If
        End Sub
    End Class
End Namespace
