Imports System.Web.UI
Imports System.Web.UI.WebControls
Imports System.Web.UI.WebControls.WebParts

Namespace UseWebParts
    Partial Public Class _Default
        Inherits System.Web.UI.Page
        Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs)
            If Not Me.IsPostBack Then
                Dim browseModeName As String = WebPartManager.BrowseDisplayMode.Name
                For Each mode As WebPartDisplayMode In Me.WebPartManager1.SupportedDisplayModes
                    Dim modeName As String = mode.Name
                    ' Make sure a mode is enabled before adding it.
                    If mode.IsEnabled(Me.WebPartManager1) Then
                        Dim item As New ListItem(modeName, modeName)
                        DropDownListDisplayModes.Items.Add(item)
                    End If
                Next mode
            End If
        End Sub

        Protected Sub DropDownListDisplayModes_SelectedIndexChanged(ByVal sender As Object, ByVal e As EventArgs)
            Dim selectedMode As String = DropDownListDisplayModes.SelectedValue
            Dim mode As WebPartDisplayMode = Me.WebPartManager1.SupportedDisplayModes(selectedMode)
            If mode IsNot Nothing Then
                Me.WebPartManager1.DisplayMode = mode
            End If

        End Sub
    End Class
End Namespace
