Imports System.Web.UI
Imports System.Web.UI.WebControls

Namespace UseDataCaching
    Partial Public Class CacheExpirations
        Inherits System.Web.UI.Page
        Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs)
            Dim quotesCollection As QuotesCollection

            Dim dtCurrent As Date = Date.Now
            Trace.Warn("Page_Load", "Testing cache: " & dtCurrent.ToString())

            quotesCollection = CType(Cache("QuotesCollection"), QuotesCollection)

            If quotesCollection Is Nothing Then
                quotesCollection = New QuotesCollection()
                quotesCollection.Synthesize()

                Dim tsExpires As New TimeSpan(0, 0, 15)
                dtCurrent = Date.Now

                Trace.Warn("Page_Load", "Caching at: " & dtCurrent.ToString())
                Trace.Warn("Page_Load", "This entry will expire in: " & tsExpires.ToString())
                Cache.Insert("QuotesCollection", quotesCollection, Nothing, Date.MaxValue, tsExpires)
            End If

            Me.GridView1.DataSource = quotesCollection
            Me.DataBind()
        End Sub
    End Class
End Namespace
