Imports System.Web.UI
Imports System.Web.UI.WebControls
Imports TimingModule

Namespace UseApplication
    Partial Public Class _Default
        Inherits System.Web.UI.Page
        Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs)
            Dim quotesCollection As QuotesCollection = CType(Application("quotesCollection"), QuotesCollection)

            GridView1.DataSource = quotesCollection
            GridView1.DataBind()

        End Sub

        Protected Sub Button1_Click(ByVal sender As Object, ByVal e As EventArgs)
            Dim httpApp As HttpApplication = HttpContext.Current.ApplicationInstance
            Dim httpModuleColl As HttpModuleCollection = httpApp.Modules

            Response.Write("<br>")
            Dim rgstrModuleNames() As String
            rgstrModuleNames = httpModuleColl.AllKeys

            Me.ListBox1.DataSource = rgstrModuleNames
            Me.ListBox1.DataBind()

        End Sub

        Protected Sub ButtonShowAverageDurationOfRequests_Click(ByVal sender As Object, ByVal e As EventArgs)
            Dim httpApp As HttpApplication = HttpContext.Current.ApplicationInstance

            Dim httpModuleColl As HttpModuleCollection = httpApp.Modules
            Dim httpModule As IHttpModule = httpModuleColl.Get("TimingModule")
            Dim TimingModule As ITimingModule = CType(httpModule, ITimingModule)

            Dim timeSpanAverageDurationOfRequest As TimeSpan = TimingModule.GetAverageLengthOfRequest()
            LabelAverageDurationOfRequests.Text = timeSpanAverageDurationOfRequest.ToString()

        End Sub


    End Class
End Namespace
