Imports System.Web.Security
Imports System.Web.SessionState

Namespace UseApplication
    Public Class [Global]
        Inherits HttpApplication

        Private Sub Application_Start(ByVal sender As Object, ByVal e As EventArgs)
            Dim quotesCollection As New QuotesCollection()

            Dim strAppPath As String = Server.MapPath("")

            Dim strFilePathXml As String = strAppPath & "\app_data\QuotesCollection.xml"
            Dim strFilePathSchema As String = strAppPath & "\app_data\QuotesCollection.xsd"
            quotesCollection.ReadXmlSchema(strFilePathSchema)
            quotesCollection.ReadXml(strFilePathXml)

            Application("quotesCollection") = quotesCollection
        End Sub


        Protected Sub Session_Start(ByVal sender As Object, ByVal e As EventArgs)

        End Sub

        Protected Sub Application_BeginRequest(ByVal sender As Object, ByVal e As EventArgs)
            Dim dateTimeBeginRequest As Date = Date.Now

            Dim ctx As HttpContext = HttpContext.Current
            ctx.Items("dateTimeBeginRequest") = dateTimeBeginRequest
        End Sub

        Protected Sub Application_AuthenticateRequest(ByVal sender As Object, ByVal e As EventArgs)

        End Sub

        Protected Sub Application_Error(ByVal sender As Object, ByVal e As EventArgs)

        End Sub

        Protected Sub Application_EndRequest(ByVal sender As Object, ByVal e As EventArgs)
            Dim dateTimeEndRequest As Date = Date.Now

            Dim ctx As HttpContext = HttpContext.Current
            Dim dateTimeBeginRequest As Date = CDate(ctx.Items("dateTimeBeginRequest"))

            Dim duration As TimeSpan = dateTimeEndRequest.Subtract(dateTimeBeginRequest)

            Response.Write("<b>From Global.asax: This request took " & duration.ToString() & "</b></br>")
        End Sub



        Protected Sub Session_End(ByVal sender As Object, ByVal e As EventArgs)

        End Sub

        Protected Sub Application_End(ByVal sender As Object, ByVal e As EventArgs)

        End Sub
    End Class
End Namespace
