Imports System.Configuration
Imports System.Web.Security
Imports System.Web.UI
Imports System.Web.UI.WebControls
Imports System.Web.UI.WebControls.WebParts
Imports System.Web.UI.HtmlControls

''' <summary>
''' Summary description for QuotesCollection
''' </summary>
Public Class QuotesCollection
    Inherits DataTable
    Public Sub New()
        '
        ' TODO: Add constructor logic here
        '
    End Sub

    Public Sub Synthesize()
        Me.TableName = "Quotations"
        Dim dr As DataRow

        Columns.Add(New DataColumn("Quote", GetType(String)))
        Columns.Add(New DataColumn("OriginatorLastName", GetType(String)))
        Columns.Add(New DataColumn("OriginatorFirstName", GetType(String)))

        dr = Me.NewRow()
        dr(0) = "Imagination is more important than knowledge."
        dr(1) = "Einstein"
        dr(2) = "Albert"
        Rows.Add(dr)

        dr = Me.NewRow()
        dr(0) = "Between stimulus and response there is a space. In that space is our power to choose our response. In our response lies our growth and our freedom."
        dr(1) = "Frankl"
        dr(2) = "Victor"
        Rows.Add(dr)

        dr = Me.NewRow()
        dr(0) = "Beware the young doctor and the old barber"
        dr(1) = "Franklin"
        dr(2) = "Benjamin"
        Me.Rows.Add(dr)

        dr = Me.NewRow()
        dr(0) = "My vocation is more in composition really than anything else - building up harmonies using the guitar, orchestrating the guitar like an army, a guitar army."
        dr(1) = "Page"
        dr(2) = "Jimmy"
        Me.Rows.Add(dr)

        dr = Me.NewRow()
        dr(0) = "You don't get something for nothing"
        dr(1) = "Peart"
        dr(2) = "Neil"
        Me.Rows.Add(dr)

        dr = Me.NewRow()
        dr(0) = "I am a golden god."
        dr(1) = "Plant"
        dr(2) = "Robert"
        Me.Rows.Add(dr)

        dr = Me.NewRow()
        dr(0) = "Assume a virtue, if you have it not"
        dr(1) = "Shakespeare"
        dr(2) = "William"
        Me.Rows.Add(dr)

        dr = Me.NewRow()
        dr(0) = "A banker is a fellow who lends you his umbrella when the sun is shining, but wants it back the minute it begins to rain."
        dr(1) = "Twain"
        dr(2) = "Mark"
        Me.Rows.Add(dr)

        dr = Me.NewRow()
        dr(0) = "Age is an issue of mind over matter. If you don't mind, it doesn't matter."
        dr(1) = "Twain"
        dr(2) = "Mark"
        Me.Rows.Add(dr)

        dr = Me.NewRow()
        dr(0) = "A man cannot be comfortable without his own approval."
        dr(1) = "Twain"
        dr(2) = "Mark"
        Me.Rows.Add(dr)

        dr = Me.NewRow()
        dr(0) = "Reality is merely an illusion, albeit a very persistent one."
        dr(1) = "Einstein"
        dr(2) = "Albert"
        Me.Rows.Add(dr)

        dr = Me.NewRow()
        dr(0) = "Beer has food value, but food has no beer value"
        dr(1) = "Sticker"
        dr(2) = "Bumper"
        Me.Rows.Add(dr)

        dr = Me.NewRow()
        dr(0) = "If it sounds good, it IS good"
        dr(1) = "Van Halen"
        dr(2) = "Eddie"
        Me.Rows.Add(dr)

        dr = Me.NewRow()
        dr(0) = "You end up as you deserve. In old age you must put up with the face, the friends, the health, and the children you have earned."
        dr(1) = "Viorst"
        dr(2) = "Judith"
        Me.Rows.Add(dr)

        dr = Me.NewRow()
        dr(0) = "Research is what I'm doing when I don't know what I'm doing"
        dr(1) = "Von Braun"
        dr(2) = "Wernher"
        Me.Rows.Add(dr)

        dr = Me.NewRow()
        dr(0) = "Whatever is begun in anger ends in shame"
        dr(1) = "Franklin"
        dr(2) = "Benjamim"
        Me.Rows.Add(dr)

        dr = Me.NewRow()
        dr(0) = "We think in generalities, but we live in details"
        dr(1) = "Whitehead"
        dr(2) = "Alfred North"
        Me.Rows.Add(dr)

        dr = Me.NewRow()
        dr(0) = "Every really new idea looks crazy at first."
        dr(1) = "Whitehead"
        dr(2) = "Alfred North"
        Me.Rows.Add(dr)

        dr = Me.NewRow()
        dr(0) = "The illiterate of the 21st century will not be those who cannot read and write, but those who cannot learn, unlearn, and relearn."
        dr(1) = "Whitehead"
        dr(2) = "Alfred North"
        Me.Rows.Add(dr)
    End Sub

    Public Function GetQuotesByLastName(ByVal strLastName As String) As String()
        Dim list As New List(Of String)()

        Dim dvQuotes As New DataView(Me)
        Dim strFilter As String = String.Format("OriginatorLastName = '{0}'", strLastName)
        dvQuotes.RowFilter = strFilter

        For Each drv As DataRowView In dvQuotes
            Dim strQuote As String = drv("Quote").ToString()

            list.Add(strQuote)
        Next drv

        Return list.ToArray()
    End Function


End Class
