Imports System.Net
Imports System.Windows
Imports System.Windows.Controls
Imports System.Windows.Documents
Imports System.Windows.Input
Imports System.Windows.Media
Imports System.Windows.Media.Animation
Imports System.Windows.Shapes

Namespace SilverlightLayout
    Partial Public Class MainPage
        Inherits UserControl
        Public Sub New()
            InitializeComponent()
            For Each s As Shape In theCanvas.Children
                AddHandler s.MouseEnter, AddressOf theCanvas_MouseEnter
                AddHandler s.MouseLeave, AddressOf theCanvas_MouseLeave
            Next s
        End Sub

        Private Sub theCanvas_MouseEnter(ByVal sender As Object, ByVal e As MouseEventArgs)
            Dim shape As Shape = TryCast(sender, Shape)
            If shape IsNot Nothing Then
                Debug.WriteLine(shape.ToString())
                shape.Opacity = 1
            End If
        End Sub

        Private Sub theCanvas_MouseLeave(ByVal sender As Object, ByVal e As MouseEventArgs)
            Dim s As Shape = TryCast(sender, Shape)

            If s IsNot Nothing Then
                s.Opacity =.6
            End If
        End Sub
    End Class
End Namespace
