Imports System.Net
Imports System.Windows
Imports System.Windows.Controls
Imports System.Windows.Documents
Imports System.Windows.Input
Imports System.Windows.Media
Imports System.Windows.Media.Animation
Imports System.Windows.Shapes

Namespace SilverlightSite
    Partial Public Class MainPage
        Inherits UserControl
        Public Sub New()
            InitializeComponent()
        End Sub

        Private Sub theButton_Click(ByVal sender As Object, ByVal e As RoutedEventArgs)
            Dim button As Button = TryCast(sender, Button)
            button.Content = "The button was clicked"
            button.FontSize = 22
            button.Foreground = New SolidColorBrush(Colors.Red)
        End Sub

        Public Function ConstructPageProgrammatically() As MainPage
            Dim page As New MainPage()

            Dim grid As New Grid()
            Dim button As New Button()
            AddHandler button.Click, AddressOf theButton_Click
            button.Content = "Hello World"
            grid.Children.Add(button)

            page.Content = grid

            Return page
        End Function
    End Class
End Namespace
