Imports System.Runtime.Serialization
Imports System.ServiceModel
Imports System.ServiceModel.Web
Imports System.Text
Imports System.Web.Caching

Namespace WCFQuotesService
    ' NOTE: You can use the "Rename" command on the "Refactor" menu to change the interface name "IService1" in both code and config file together.
    <ServiceContract> _
    Public Interface IQuotesService
        <OperationContract> _
        Function GetAQuote() As Quote

        <OperationContract> _
        Sub AddQuote(ByVal quote As Quote)

        <OperationContract> _
        Function GetAllQuotes() As DataSet
    End Interface



    <DataContract> _
    Public Structure Quote
        Private _strQuote As String

        <DataMember> _
        Public Property StrQuote() As String
            Get
                Return _strQuote
            End Get
            Set(ByVal value As String)
                _strQuote = value
            End Set
        End Property

        Private _strOriginatorLastName As String

        <DataMember> _
        Public Property StrOriginatorLastName() As String
            Get
                Return _strOriginatorLastName
            End Get
            Set(ByVal value As String)
                _strOriginatorLastName = value
            End Set
        End Property

        Private _strOriginatorFirstName As String

        <DataMember> _
        Public Property StrOriginatorFirstName() As String
            Get
                Return _strOriginatorFirstName
            End Get
            Set(ByVal value As String)
                _strOriginatorFirstName = value
            End Set
        End Property

        Public Sub New(ByVal strQuote As String, ByVal strOriginatorLastName As String, ByVal strOriginatorFirstName As String)
            _strQuote = strQuote
            _strOriginatorLastName = strOriginatorLastName
            _strOriginatorFirstName = strOriginatorFirstName
        End Sub
    End Structure

End Namespace
